Redmine - Defect #2813

wrong hostname for atom-links
2009-02-23 17:33 - Anton Dollmaier

Status: Closed Start date: 2009-02-23
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

Hi,

Due to firewalling-issues | have redmine deployed on a machine which is only reachable via mod_proxy.

The hostnames are different, the mod_proxy-machine is reachable via "redmine.example.com”, the real machine having redmine
running via mongrel_cluster is connected via "redmine-int.example.com".

In the settings, | set the "hostname" to "redmine.example.com".

Using Redmine normally works great, except for RSS/Atom-links: Redmine does not use the "hostname"-setting for links to
atom-pages, the link refs to "redmine-int.example.com":

<link href="http://redmine-int.example.com/projects/activity?format=atom&amp; key=MYATOMKEY" rel="a
lternate" title="ATOM" type="application/atom+xml" />

Changing the wrong hostname to the correct external hostname, the RSS/Atom is displayed correctly - only the link in the
sourcecode is wrong.

In the view, the "auto_discovery_link_tag" is used, but | couldn't find the definition in the sourcecode (I don't code ruby).
Any help is appreciated.
additional information:

o |atest Redmine from 0.8-stable-Branch

¢ Redmine-Machine: Debian Lenny with mongrel_cluster, installed via gem
¢ Proxy: apache2.2 running on Mac

History

#1 - 2009-02-23 18:16 - Jean-Philippe Lang

Make sure you have this in your virtual host config:
ProxyPreserveHost On

#2 - 2009-02-23 18:26 - Anton Dollmaier

- Status changed from New to Resolved

- % Done changed from 0 to 100

You're right, this solves the probleme.

But shouldn't the hostname-setting be in use, too?
This would be what | expect from a hostname-setting ...
Thanks!

#3 - 2009-02-23 18:45 - Jean-Philippe Lang

Actually, the hostname setting is only used to generate links in emails (which can be sent off-line and thus with no access to a 'host' of a request).
I'll add this to the FAQ.
#4 - 2009-04-03 11:18 - Greg Burri

In most cases the external hostname can't be preserved because the proxy access to a local address like localhost:8083 or 192.168.1.56.
Some documentation from Apache : http://httpd.apache.org/docs/2.0/mod/mod_proxy.html

Why the hostname setting can't be used for the atom stream ?
#5 - 2009-04-03 13:19 - Anton Dollmaier
Greg Burri wrote:

In most cases the external hostname can't be preserved because the proxy access to a local address like localhost:8083 or 192.168.1.56.

Actually, it works great:
You configure the proxy-vHost with the ProxyPreserveHost On-directive, proxypass to the internal address (localhost:8083 or else).
At this vhost you use ServerName redmine.external.domain or ServerAlias, redmine then works as expected.

#6 - 2010-06-20 19:09 - Jean-Baptiste Barth

- Status changed from Resolved to Closed

#7 - 2011-04-08 11:03 - staccatissimo Lee
Dear All,

Where could | put on this tag? --> ProxyPreserveHost On
